import zod from "zod";
export declare const createBlockCategoryCreateValidation: () => zod.ZodObject<{
    slug: zod.ZodEffects<zod.ZodString, string, string>;
    name: zod.ZodString;
    icon: zod.ZodString;
    description: zod.ZodString;
}, "strip", zod.ZodTypeAny, {
    description: string;
    name: string;
    slug: string;
    icon: string;
}, {
    description: string;
    name: string;
    slug: string;
    icon: string;
}>;
export declare const createBlockCategoryUpdateValidation: () => zod.ZodObject<{
    name: zod.ZodOptional<zod.ZodString>;
    icon: zod.ZodOptional<zod.ZodString>;
    description: zod.ZodOptional<zod.ZodString>;
}, "strip", zod.ZodTypeAny, {
    name?: string | undefined;
    icon?: string | undefined;
    description?: string | undefined;
}, {
    name?: string | undefined;
    icon?: string | undefined;
    description?: string | undefined;
}>;
