"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _path = _interopRequireDefault(require("path"));
var _zipLocal = _interopRequireDefault(require("zip-local"));
var _fs = _interopRequireDefault(require("fs"));
/**
 * Package zip-local does not have types.
 */
// @ts-expect-error
var _default = (destination = "./pageBuilderInstallation.zip") => {
  if (_fs.default.existsSync(destination)) {
    return;
  }
  const dir = _path.default.dirname(destination);
  if (!_fs.default.existsSync(dir)) {
    _fs.default.mkdirSync(dir, {
      recursive: true
    });
  }
  return _zipLocal.default.sync.zip(_path.default.join(__dirname, "files")).compress().save(destination);
};
exports.default = _default;

//# sourceMappingURL=createInstallationZip.js.map